<!-- 设置语言 -->
<template>
  <div>
    <van-radio-group v-model="radio">
      <van-cell-group>
        <van-cell title="简体中文" clickable @click="clickRadio('zh',1)">
          <van-radio name="zh"/>
        </van-cell>
        <van-cell title="繁體中文" clickable @click="clickRadio('tw',2)">
          <van-radio name="tw"/>
        </van-cell>
      </van-cell-group>
    </van-radio-group>
  </div>
</template>

<script>
export default {
  data() {
    return {
      radio: '',
    }
  },
  created() {
    let lang = localStorage.lang || 'zh'
    localStorage.lang = lang
    this.radio = lang
  },
  methods: {
    clickRadio(val, lanCode) {
      this.radio = val
        localStorage.lang = val
        this.changeLang(lanCode)
        this.data_dictionary()
    }
  }



}

</script>
<style lang='scss' scoped>
</style>